@import '../../styles/variables';
@import '../../styles/mixins';

.cui-spinner {
  display: inline-flex;
  vertical-align: middle;

  svg {
    fill: none;
    stroke: currentColor;
    stroke-dasharray: 135px;
    stroke-dashoffset: 95px;
    stroke-linecap: round;
    stroke-width: 5px;
    transform-origin: center center;
    animation: cui-spinner 0.75s cubic-bezier(0.4, 0.15, 0.6, 0.85) infinite;
    width: 1em;
    height: 1em;
  }

  // ----- sizes

  @mixin size($size) {
    &[data-cui-size='#{$size}'] svg {
      font-size: cui-height($size) * 0.5;
    }
  }

  @include size('xs');
  @include size('s');
  @include size('m');
  @include size('l');
  @include size('xl');
}

@keyframes cui-spinner {
  from { transform: rotate(0deg); }
  to { transform: rotate(360deg); }
}
